@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/MyAccountTabList/MyAccountTabList.style.scss';

:root {
    @include after-mobile {
        --my-account-tab-list-background: #{$white};
    }
}

.MyAccountTabList {
    @include mobile {
        border: 1px solid #000;
        margin: 0 14px;
    }

    @include after-mobile {
        padding: 1rem 0;
        background-color: var(--my-account-tab-list-background);
    }

    &:last-of-type {
        @include mobile {
            border-bottom: 1px solid #000;
        }
    }

    &:first-of-type {
        @include mobile {
            border-top: 1px solid #000;
        }
    }

    &-ExpandableContentContent {
        @include after-mobile {
            margin-top: 0;
        }

        &_isContentExpanded {
            @include mobile {
                padding: 0 1rem 1rem;
            }
        }
    }

    &-ExpandableContentButton {
        @include after-mobile {
            display: none;
        }

        &::before,
        &::after {
            right: 2rem;
        }
    }
}
